com.mysql.jdbc

## Class DatabaseMetaData.IndexInfoKeyComparable

- java.lang.Object
- - com.mysql.jdbc.DatabaseMetaData.IndexInfoKeyComparable

All Implemented Interfaces:
  java.lang.Comparable<DatabaseMetaData.IndexInfoKeyComparable>

Enclosing class:
  DatabaseMetaData

    protected class DatabaseMetaData.IndexInfoKeyComparable
    extends java.lang.Object
    implements java.lang.Comparable<DatabaseMetaData.IndexInfoKeyComparable>

Helper class to provide means of comparing indexes by NON_UNIQUE, TYPE, INDEX_NAME, and ORDINAL_POSITION.

### Field Summary

Fields
`(package private) java.lang.String` `columnIndexName`
`(package private) java.lang.Boolean` `columnNonUnique`
`(package private) java.lang.Short` `columnOrdinalPosition`
`(package private) java.lang.Short` `columnType`

### Constructor Summary

Constructors
Constructor and Description
`DatabaseMetaData.IndexInfoKeyComparable(boolean columnNonUnique, short columnType, java.lang.String columnIndexName, short columnOrdinalPosition)`

### Method Summary

Methods
`int` `compareTo(DatabaseMetaData.IndexInfoKeyComparable indexInfoKey)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columnNonUnique

    java.lang.Boolean columnNonUnique

#### columnType

    java.lang.Short columnType

#### columnIndexName

    java.lang.String columnIndexName

#### columnOrdinalPosition

    java.lang.Short columnOrdinalPosition

### Constructor Detail

#### DatabaseMetaData.IndexInfoKeyComparable

    DatabaseMetaData.IndexInfoKeyComparable(boolean columnNonUnique,
                                           short columnType,
                                           java.lang.String columnIndexName,
                                           short columnOrdinalPosition)

### Method Detail

#### compareTo

    public int compareTo(DatabaseMetaData.IndexInfoKeyComparable indexInfoKey)

Specified by:
  `compareTo` in interface `java.lang.Comparable<DatabaseMetaData.IndexInfoKeyComparable>`